Subject: push error Re: git-subtree completions
From: Daniel Shahaf <[email-masked]>
To: [email-masked]
Cc: Oliver Kiddle <[email-masked]>, Jordan Klassen <[email-masked]>
Date: Wed, 13 Jul 2016 04:59:10 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Daniel Shahaf wrote on Wed, Jul 13, 2016 at 04:24:08 +0000:
> I'll push a patch for these two in a minute (once I have the X-Seq of
> this).

The push failed:

% git push 
Enter passphrase for key '/home/daniel/.ssh/sourceforge2.id_rsa': 
Counting objects: 7, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 905 bytes | 0 bytes/s, done.
Total 7 (delta 5), reused 0 (delta 0)
error: insufficient permission for adding an object to repository database ./objects

fatal: failed to write object
error: unpack failed: unpack-objects abnormal exit
To ssh://git.code.sf.net/p/zsh/code
 ! [remote rejected] master -> master (n/a (unpacker error))
error: failed to push some refs to 'ssh://git.code.sf.net/p/zsh/code'
zsh: exit 1

The patch I tried to push is on the 'master' branch of my github clone, at:
https://github.com/danielshahaf/zsh/commit/37bf1b0174753b2b6d899d15b6e80ce95d76e6ad.patch

No idea what the problem is; I changed nothing on my end...